package com.nantian.cloud.dbcapp.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.nantian.cloud.dbcapp.entity.EnterpriseInfo;
import com.nantian.cloud.dbcapp.mapper.record.EnterpriseInfoMapper;
import com.nantian.cloud.dbcapp.service.EnterpriseInfoService;
import com.nantian.cloud.dbcapp.vo.ReportNumVo;
import org.springframework.stereotype.Service;

import java.util.Map;

@Service("EnterpriseInfoService")
public class EnterpriseInfoImpl extends ServiceImpl<EnterpriseInfoMapper, EnterpriseInfo> implements EnterpriseInfoService {
    @Override
    public boolean updateByEpc(EnterpriseInfo enterpriseInfo) {
        return baseMapper.updateByEpc(enterpriseInfo);
    }

    @Override
    public Map<String, Object> getShieldList(String enterpriseCode) {
        return baseMapper.getShieldList(enterpriseCode);
    }

    @Override
    public IPage<EnterpriseInfo> getPageList(Page page, ReportNumVo reportNumVo) {
        return baseMapper.getPageList(page, reportNumVo);
    }
}
